Skip to content

Spread Tables Information

This endpoint provides spread table information for cryptocurrencies.


HTTP Request

bash
GET /market/v1/{market}/spread-tables

Query Parameters

NameTypeRequiredDescription
marketenumYesMarket code, see supported values in market enumeration definition

cURL Example

bash
curl --location --request GET '{$base_url}/market/v1/dcex/spread-tables' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142003'

Success Response Format

Description of data fields in the request response.

NameTypeDescription
codestringSpread table code
price_bandsobjectPrice bands

price_bands Object Field Description

NameTypeDescription
fromdecimalStarting price
todecimalEnding price
minimum_spreaddecimalMinimum spread

Success Response Example

json
{
    "code": 0,
    "data": [
        {
            "code": "01",
            "price_bands": [
                {
                    "from": 0.01,
                    "to": 0.25,
                    "minimum_spread": 0.001
                },
                {
                    "from": 0.25,
                    "to": 0.5,
                    "minimum_spread": 0.005
                }
            ]
        },
        {
            "code": "03",
            "price_bands": [
                {
                    "from": 0.5,
                    "to": 9999.95,
                    "minimum_spread": 0.05
                }
            ]
        }
    ]
}

Error Response Example

json
{
  "code": 500,
  "message": "Internal Service Error",
  "details": ""
}